- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# QAccessibleInterface Class Reference

Search for all occurrences

## Detailed Description

Definition at line 327 of file qaccessible.h.

`#include <qaccessible.h>`

Inheritance diagram for QAccessibleInterface:
[legend]

List of all members.

## Public Member Functions
virtual | ~QAccessibleInterface ()
virtual bool | isValid () const =0
virtual QObject * | object () const =0
virtual int | childCount () const =0
virtual int | indexOfChild (const QAccessibleInterface *) const =0
virtual Relation | relationTo (int child, const QAccessibleInterface *other, int otherChild) const =0
virtual int | childAt (int x, int y) const =0
virtual int | navigate (RelationFlag relation, int index, QAccessibleInterface **iface) const =0
virtual QString | text (Text t, int child) const =0
virtual void | setText (Text t, int child, const QString &text)=0
virtual QRect | rect (int child) const =0
virtual Role | role (int child) const =0
virtual State | state (int child) const =0
virtual int | userActionCount (int child) const =0
virtual QString | actionText (int action, Text t, int child) const =0
virtual bool | doAction (int action, int child, const QVariantList &params=QVariantList())=0
QVariant | invokeMethod (Method method, int child=0, const QVariantList &params=QVariantList())
QSet< Method > | supportedMethods ()
QColor | foregroundColor ()
QColor | backgroundColor ()
QAccessibleTextInterface * | textInterface ()
QAccessibleEditableTextInterface * | editableTextInterface ()
QAccessibleValueInterface * | valueInterface ()
QAccessibleTableInterface * | tableInterface ()
QAccessibleActionInterface * | actionInterface ()
QAccessibleImageInterface * | imageInterface ()

## Constructor & Destructor Documentation

virtual ~QAccessibleInterface | ( |  | ) | `[inline, virtual]`

Definition at line 330 of file qaccessible.h.

    {}

## Member Function Documentation

virtual bool isValid | ( |  | ) | const `[pure virtual]`

Search for all occurrences

Implemented in QAccessibleObject, and QAccessibleObjectEx.

virtual QObject* object | ( |  | ) | const `[pure virtual]`

Search for all occurrences

Implemented in QAccessibleObject, and QAccessibleObjectEx.

virtual int childCount | ( |  | ) | const `[pure virtual]`

Search for all occurrences

Implemented in QAccessibleApplication, QAccessibleWidget, and QAccessibleWidgetEx.

virtual int indexOfChild | ( | const QAccessibleInterface * |  | ) | const `[pure virtual]`

Search for all occurrences

Implemented in QAccessibleApplication, QAccessibleWidget, and QAccessibleWidgetEx.

virtual Relation relationTo | ( | int | child,
|  | const QAccessibleInterface * | other,
|  | int | otherChild
| ) |  | const `[pure virtual]`

Search for all occurrences

Implemented in QAccessibleApplication, QAccessibleWidget, and QAccessibleWidgetEx.

virtual int childAt | ( | int | x,
|  | int | y
| ) |  | const `[pure virtual]`

Search for all occurrences

Implemented in QAccessibleApplication, QAccessibleWidget, and QAccessibleWidgetEx.

virtual int navigate | ( | RelationFlag | relation,
|  | int | index,
|  | QAccessibleInterface ** | iface
| ) |  | const `[pure virtual]`

Search for all occurrences

Implemented in QAccessibleApplication, QAccessibleWidget, and QAccessibleWidgetEx.

virtual QString text | ( | Text | t,
|  | int | child
| ) |  | const `[pure virtual]`

Search for all occurrences

Implemented in QAccessibleApplication, QAccessibleWidget, and QAccessibleWidgetEx.

virtual void setText | ( | Text | t,
|  | int | child,
|  | const QString & | text
| ) |  | `[pure virtual]`

Search for all occurrences

Implemented in QAccessibleObject, and QAccessibleObjectEx.

virtual QRect rect | ( | int | child | ) | const `[pure virtual]`

Search for all occurrences

Implemented in QAccessibleObject, QAccessibleObjectEx, QAccessibleWidget, and QAccessibleWidgetEx.

virtual Role role | ( | int | child | ) | const `[pure virtual]`

Search for all occurrences

Implemented in QAccessibleApplication, QAccessibleWidget, and QAccessibleWidgetEx.

virtual State state | ( | int | child | ) | const `[pure virtual]`

Search for all occurrences

Implemented in QAccessibleApplication, QAccessibleWidget, and QAccessibleWidgetEx.

virtual int userActionCount | ( | int | child | ) | const `[pure virtual]`

Search for all occurrences

Implemented in QAccessibleObject, QAccessibleObjectEx, QAccessibleApplication, and QAccessibleWidget.

virtual QString actionText | ( | int | action,
|  | Text | t,
|  | int | child
| ) |  | const `[pure virtual]`

Search for all occurrences

Implemented in QAccessibleObject, QAccessibleObjectEx, QAccessibleApplication, QAccessibleWidget, and QAccessibleWidgetEx.

virtual bool doAction | ( | int | action,
|  | int | child,
|  | const QVariantList & | params = `QVariantList()`
| ) |  | `[pure virtual]`

Search for all occurrences

Implemented in QAccessibleObject, QAccessibleObjectEx, QAccessibleApplication, QAccessibleWidget, and QAccessibleWidgetEx.

QVariant invokeMethod | ( | Method | method,
|  | int | child = `0`,
|  | const QVariantList & | params = `QVariantList()`
| ) |  |

Search for all occurrences

QSet<Method> supportedMethods | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 362 of file qaccessible.h.

        { return qvariant_cast<QSet<Method> >(invokeMethod(ListSupportedMethods)); }

QColor foregroundColor | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 365 of file qaccessible.h.

        { return qvariant_cast<QColor>(invokeMethod(ForegroundColor)); }

QColor backgroundColor | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 368 of file qaccessible.h.

        { return qvariant_cast<QColor>(invokeMethod(BackgroundColor)); }

QAccessibleTextInterface* textInterface | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 371 of file qaccessible.h.

        { return reinterpret_cast<QAccessibleTextInterface *>(cast_helper(QAccessible2::TextInterface)); }

QAccessibleEditableTextInterface* editableTextInterface | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 374 of file qaccessible.h.

        { return reinterpret_cast<QAccessibleEditableTextInterface *>(cast_helper(QAccessible2::EditableTextInterface)); }

QAccessibleValueInterface* valueInterface | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 377 of file qaccessible.h.

        { return reinterpret_cast<QAccessibleValueInterface *>(cast_helper(QAccessible2::ValueInterface)); }

QAccessibleTableInterface* tableInterface | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 380 of file qaccessible.h.

        { return reinterpret_cast<QAccessibleTableInterface *>(cast_helper(QAccessible2::TableInterface)); }

QAccessibleActionInterface* actionInterface | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 383 of file qaccessible.h.

        { return reinterpret_cast<QAccessibleActionInterface *>(cast_helper(QAccessible2::ActionInterface)); }

QAccessibleImageInterface* imageInterface | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 386 of file qaccessible.h.

        { return reinterpret_cast<QAccessibleImageInterface *>(cast_helper(QAccessible2::ImageInterface)); }

The documentation for this class was generated from the following file:

- QtGui/qaccessible.h

QAccessibleInterface QAccessibleInterface QAccessibleInterface QAccessibleInterface QAccessibleInterface QAccessibleInterface QAccessibleInterface QAccessibleInterface QAccessibleInterface QAccessibleInterface
QAccessibleInterface QAccessibleInterface QAccessibleInterface QAccessibleInterface QAccessibleInterface QAccessibleInterface QAccessibleInterface QAccessibleInterface QAccessibleInterface QAccessibleInterface